summaryrefslogtreecommitdiffstats
path: root/network/putty
diff options
context:
space:
mode:
author Michael Johnson <youngmug@animeneko.net>2010-06-13 16:02:03 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-06-13 16:02:03 -0500
commit979ebf4cacde40d7c49df2f587fd6bb94ca7f636 (patch)
tree7e304f5799027989e57d800b20c13bbd97957a99 /network/putty
parent84f6dbb0902fb148be6d9706768c4abcd6eb623e (diff)
downloadslackbuilds-979ebf4cacde40d7c49df2f587fd6bb94ca7f636.tar.gz
slackbuilds-979ebf4cacde40d7c49df2f587fd6bb94ca7f636.tar.xz
network/putty: Added (telnet/ssh implementation)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'network/putty')
-rw-r--r--network/putty/README7
-rw-r--r--network/putty/putty.SlackBuild85
-rw-r--r--network/putty/putty.info10
-rw-r--r--network/putty/slack-desc19
4 files changed, 121 insertions, 0 deletions
diff --git a/network/putty/README b/network/putty/README
new file mode 100644
index 0000000000..15f86de298
--- /dev/null
+++ b/network/putty/README
@@ -0,0 +1,7 @@
+PuTTY is a free implementation of Telnet and SSH for Win32 and Unix
+platforms, along with an xterm terminal emulator. It is written and
+maintained primarily by Simon Tatham.
+
+PLEASE NOTE: The PuTTY package conflicts with pssh in Slackware. If
+you install PuTTY, you'll overwrite the /usr/bin/pscp binary. After
+removing PuTTY, you will have to reinstall pssh (N series) again.
diff --git a/network/putty/putty.SlackBuild b/network/putty/putty.SlackBuild
new file mode 100644
index 0000000000..9ad27836a5
--- /dev/null
+++ b/network/putty/putty.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for PuTTY
+
+# Written by <youngmug@animeneko.net>
+
+# Modified by Michael Wagner <lapinours@web.de>
+# as putty now uses autoconf.
+
+PRGNAM=putty
+VERSION=0.60
+BUILD=${BUILD:-2}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "alpha" ]; then
+ SLKCFLAGS="-O2 -mcpu=ev4"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $TMP/$PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+# Create $PKG tree.
+mkdir -p $PKG/usr/{bin,man/man1,doc/$PRGNAM-$VERSION/html}
+
+cd unix
+ CFLAGS="$SLKCFLAGS -Wno-strict-aliasing" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+ make
+ make install DESTDIR=$PKG
+cd -
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+cp -a README LICENCE doc/puttydoc.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a doc/*.html $PKG/usr/doc/$PRGNAM-$VERSION/html
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/putty/putty.info b/network/putty/putty.info
new file mode 100644
index 0000000000..416694c361
--- /dev/null
+++ b/network/putty/putty.info
@@ -0,0 +1,10 @@
+PRGNAM="putty"
+VERSION="0.60"
+HOMEPAGE="http://www.chiark.greenend.org.uk/~sgtatham/putty/"
+DOWNLOAD="http://the.earth.li/~sgtatham/putty/latest/putty-0.60.tar.gz"
+MD5SUM="07e65fd98b16d115ae38a180bfb242e2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Michael Johnson"
+EMAIL="youngmug@animeneko.net"
+APPROVED="rworkman"
diff --git a/network/putty/slack-desc b/network/putty/slack-desc
new file mode 100644
index 0000000000..9f69904099
--- /dev/null
+++ b/network/putty/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+putty: putty (A Free Telnet/SSH Client)
+putty:
+putty: PuTTY is a free implementation of Telnet and SSH for Win32 and
+putty: Unix platforms, along with an xterm terminal emulator. It is
+putty: written and maintained primarily by Simon Tatham.
+putty:
+putty:
+putty:
+putty:
+putty:
+putty: